
WindowIcon = class( Turbine.UI.Window )

function WindowIcon:Constructor()
	Turbine.UI.Window.Constructor( self )

	self:SetVisible(true)
	self:SetMouseVisible(true)
	self:SetSize(39,39)
	self:SetPosition(LootSettings["icon"]["left"], LootSettings["icon"]["top"])
	self:SetOpacity(0.8)

	self.button = Turbine.UI.Button()
	self.button:SetVisible(true)
	self.button:SetMouseVisible(true)
	self.button:SetParent(self)
	self.button:SetSize(32,32)
	self.button:SetPosition(4,4)
	self.button:SetBackground("Souru/LootLogs/Ressources/chest.tga")
	
	self.button.moved = false
	
	function self.button:Click(sender, args)

		if self.moved == false then

			self:GetParent():SetVisible(false)
			self:GetParent():SetMouseVisible(false)
			self:SetMouseVisible(false)

			showWindow()
			
		else

			self.moved = false
			
		end

	end
	
	function self.MouseDown(sender, args)
	
		if args.Button == Turbine.UI.MouseButton.Left then

			self.dragging = true
			
			self.dragStartX = args.X
			self.dragStartY = args.Y

		end
	
	end
	
	function self.MouseMove(sender, args)
	
		if self.dragging then
		
			local x,y = self:GetPosition()
			
			x = x + ( args.X - self.dragStartX )
			y = y + ( args.Y - self.dragStartY )
			
			self:SetPosition( x, y )
			self.moved = true
		
		end
	
	end
	
	function self.MouseUp(sender, args)
	
		if args.Button == Turbine.UI.MouseButton.Left then
		
			self.dragging = false
			
			LootSettings["icon"]["left"], LootSettings["icon"]["top"] = self:GetPosition()
			SaveSettings()
		
		end
	
	end

end

function WindowIcon:Show()

	self:SetVisible(true)
	self:SetMouseVisible(true)

	self.button:SetVisible(true)
	self.button:SetMouseVisible(true)

end